Package org.lwjgl.opengl

# Class AMDDebugOutput

java.lang.Object
org.lwjgl.opengl.AMDDebugOutput

public final class AMDDebugOutput extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_DEBUG_CATEGORY_API_ERROR_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:
`static final int`
`GL_DEBUG_CATEGORY_APPLICATION_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:
`static final int`
`GL_DEBUG_CATEGORY_DEPRECATION_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:
`static final int`
`GL_DEBUG_CATEGORY_OTHER_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:
`static final int`
`GL_DEBUG_CATEGORY_PERFORMANCE_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:
`static final int`
`GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:
`static final int`
`GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:
`static final int`
`GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:
`static final int`
`GL_DEBUG_LOGGED_MESSAGES_AMD`
Tokens accepted by GetIntegerv:
`static final int`
`GL_DEBUG_SEVERITY_HIGH_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, DebugMessageInsertAMD, and DEBUGPROCAMD callback function for <severity>:
`static final int`
`GL_DEBUG_SEVERITY_LOW_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, DebugMessageInsertAMD, and DEBUGPROCAMD callback function for <severity>:
`static final int`
`GL_DEBUG_SEVERITY_MEDIUM_AMD`
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, DebugMessageInsertAMD, and DEBUGPROCAMD callback function for <severity>:
`static final int`
`GL_MAX_DEBUG_LOGGED_MESSAGES_AMD`
Tokens accepted by GetIntegerv:
`static final int`
`GL_MAX_DEBUG_MESSAGE_LENGTH_AMD`
Tokens accepted by GetIntegerv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glDebugMessageCallbackAMD(AMDDebugOutputCallback callback)`
The `AMDDebugOutputCallback.Handler` implementation passed to this method will be used for AMD_debug_output messages.
`static void`
`glDebugMessageEnableAMD(int category, int severity, IntBuffer ids, boolean enabled)`
`static void`
`glDebugMessageInsertAMD(int category, int severity, int id, CharSequence buf)`
Overloads glDebugMessageInsertAMD.
`static void`
`glDebugMessageInsertAMD(int category, int severity, int id, ByteBuffer buf)`
`static int`
`glGetDebugMessageLogAMD(int count, IntBuffer categories, IntBuffer severities, IntBuffer ids, IntBuffer lengths, ByteBuffer messageLog)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_MAX_DEBUG_MESSAGE_LENGTH_AMD

public static final int GL_MAX_DEBUG_MESSAGE_LENGTH_AMD
Tokens accepted by GetIntegerv:

See Also:
  - Constant Field Values

### GL_MAX_DEBUG_LOGGED_MESSAGES_AMD

public static final int GL_MAX_DEBUG_LOGGED_MESSAGES_AMD
Tokens accepted by GetIntegerv:

See Also:
  - Constant Field Values

### GL_DEBUG_LOGGED_MESSAGES_AMD

public static final int GL_DEBUG_LOGGED_MESSAGES_AMD
Tokens accepted by GetIntegerv:

See Also:
  - Constant Field Values

### GL_DEBUG_SEVERITY_HIGH_AMD

public static final int GL_DEBUG_SEVERITY_HIGH_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, DebugMessageInsertAMD, and DEBUGPROCAMD callback function for <severity>:

See Also:
  - Constant Field Values

### GL_DEBUG_SEVERITY_MEDIUM_AMD

public static final int GL_DEBUG_SEVERITY_MEDIUM_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, DebugMessageInsertAMD, and DEBUGPROCAMD callback function for <severity>:

See Also:
  - Constant Field Values

### GL_DEBUG_SEVERITY_LOW_AMD

public static final int GL_DEBUG_SEVERITY_LOW_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, DebugMessageInsertAMD, and DEBUGPROCAMD callback function for <severity>:

See Also:
  - Constant Field Values

### GL_DEBUG_CATEGORY_API_ERROR_AMD

public static final int GL_DEBUG_CATEGORY_API_ERROR_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:

See Also:
  - Constant Field Values

### GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD

public static final int GL_DEBUG_CATEGORY_WINDOW_SYSTEM_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:

See Also:
  - Constant Field Values

### GL_DEBUG_CATEGORY_DEPRECATION_AMD

public static final int GL_DEBUG_CATEGORY_DEPRECATION_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:

See Also:
  - Constant Field Values

### GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD

public static final int GL_DEBUG_CATEGORY_UNDEFINED_BEHAVIOR_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:

See Also:
  - Constant Field Values

### GL_DEBUG_CATEGORY_PERFORMANCE_AMD

public static final int GL_DEBUG_CATEGORY_PERFORMANCE_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:

See Also:
  - Constant Field Values

### GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD

public static final int GL_DEBUG_CATEGORY_SHADER_COMPILER_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:

See Also:
  - Constant Field Values

### GL_DEBUG_CATEGORY_APPLICATION_AMD

public static final int GL_DEBUG_CATEGORY_APPLICATION_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:

See Also:
  - Constant Field Values

### GL_DEBUG_CATEGORY_OTHER_AMD

public static final int GL_DEBUG_CATEGORY_OTHER_AMD
Tokens accepted by DebugMessageEnableAMD, GetDebugMessageLogAMD, and DEBUGPROCAMD callback function for <category>:

See Also:
  - Constant Field Values

## Method Details

### glDebugMessageEnableAMD

public static void glDebugMessageEnableAMD(int category, int severity, IntBuffer ids, boolean enabled)

### glDebugMessageInsertAMD

public static void glDebugMessageInsertAMD(int category, int severity, int id, ByteBuffer buf)

### glDebugMessageInsertAMD

public static void glDebugMessageInsertAMD(int category, int severity, int id, CharSequence buf)
Overloads glDebugMessageInsertAMD.

### glDebugMessageCallbackAMD

public static void glDebugMessageCallbackAMD(AMDDebugOutputCallback callback)
The `AMDDebugOutputCallback.Handler` implementation passed to this method will be used for AMD_debug_output messages. If callback is null, any previously registered handler for the current thread will be unregistered and stop receiving messages.

Parameters:
  `callback` - the callback function to use

### glGetDebugMessageLogAMD

public static int glGetDebugMessageLogAMD(int count, IntBuffer categories, IntBuffer severities, IntBuffer ids, IntBuffer lengths, ByteBuffer messageLog)